
QGIS Application - Bug report #21046

Unable to add WCS - bad error reporting

2019-01-20 01:11 PM - Jonathan Moules

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WCS

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28865

Description

Related to #21045

This WCS:

http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best

If I try and add a layer from this WCS, QGIS makes a bad request and the server response is this exception:

<?xml version="1.0" encoding="UTF-8"?>

<ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.2.0">

  <ServiceException code="InvalidParameterValue" locator="CRS">Request CRS [EPSG:0 [Latitude_Longitude]] not allowed

[OGC:CRS84].</ServiceException>

</ServiceExceptionReport>

Except what QGIS reports is this:

  Invalid Layer : WCS provider Cannot get test dataset.

             Raster layer Provider is not valid (provider: wcs, URI:

cache=PreferNetwork&crs&dpiMode=7&format=GeoTIFF_Float&identifier=Wind_speed_surface&time=2018-12-21T00:00:00Z&url=http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best


url=http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best

So the WCS handler doesn't seem to be correctly handling exceptions - it's passing them straight to the "Raster layer Provider" which of

course barfs. Instead, the WCS error should be parsed and exposed to the user.

Related issues:

Related to QGIS Application - Bug report # 21045: Unable to add WCS - bad WCS... Closed 2019-01-20

History

#1 - 2019-01-21 12:06 PM - Jürgen Fischer

- Description updated

#2 - 2019-01-21 12:07 PM - Jürgen Fischer

- Duplicates Bug report #21045: Unable to add WCS - bad WCS Request added

#3 - 2019-01-21 12:07 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
#4 - 2019-01-21 12:18 PM - Jürgen Fischer

- Duplicates deleted (Bug report #21045: Unable to add WCS - bad WCS Request)

#5 - 2019-01-21 12:18 PM - Jürgen Fischer

- Related to Bug report #21045: Unable to add WCS - bad WCS Request added

#6 - 2019-01-21 12:18 PM - Jürgen Fischer

- Description updated

#7 - 2019-01-21 12:18 PM - Jürgen Fischer

- Resolution deleted (duplicate)

- Status changed from Closed to Open
